Subject: Re: bug#60064: adding ansi-color faces for themes that do not have them

From: Jean Louis <[email-masked]>
Date: Fri, 16 Dec 2022 09:24:31 +0300

* Yilkal Argaw <[email-masked]> [2022-12-14 15:48]:
> Shell and Eshell in emacs inherit from ansi-colors which affects how output
> from command line programs that make use of them. While many of the themes
> included with emacs define faces for them, others do not. Specifically
> adwaita, deeper-blue, light-blue, manoj-dark, tsdh-dark, tsdh-light,
> wheatgrass and whiteboard themes. This makes output from terminal
> applications that make use of ansi-colors look awkward or hard to read when
> using those themes(i.e. in shell or eshell). Is it possible to enforce
> definitions for ansi-colors at least in the themes that are included with
> emacs. Because interaction with the shells is an essential part of using
> emacs for so many people.

That IS very disturbing, yes, though I do not know in which
themes it practically creates the problem.  You have done better research.

Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/